[mythtv-users] Myth dependencies on GLX?

Michael T. Dean mtdean at thirdcontact.com
Thu Sep 15 16:14:02 UTC 2005

Steve Carter wrote:

> Does Myth require GLX?
> I'm running 0.18.1 from ATRPMS and outputting on an nvidia 5200 with 
> the 7667 drivers.  I get errors when I try to run glxgears, and when 
> checking the X logs, it says that glx is disabled because it conflicts 
> with the support for the "Composite" X extension. 
> Yet, most of the discussion on this forum seems to imply that glx is a 
> normal part of the system...  I'm hoping that this is the explanaion 
> for some of the instability I'm seeing.

 From the NVIDIA README ( 
ftp://download.nvidia.com/XFree86/Linux-x86/1.0-7676/README.txt ):

Option "AllowGLXWithComposite" "boolean"

Enables GLX even when the Composite X extension is loaded. ENABLE AT
YOUR OWN RISK. OpenGL applications will not display correctly in many
circumstances with this setting enabled. Default: GLX is disabled when
Composite is loaded.
XVideo and the Composite X extension

XVideo will not work correctly when Composite is enabled. See Appendix
Appendix S. The X Composite Extension

X.org version X11R6.8.0 contains experimental support for a new X protocol
extension called Composite. This extension allows windows to be drawn into
pixmaps instead of directly onto the screen.

In other words, the entire README (and your X logs) is, basically, 
saying to turn off the Composite extension.

Remove the line

Option "Composite" "Enable"

And, if you leave an empty "Extensions" section, take it out, too.


More information about the mythtv-users mailing list